WordPress.org

Support

Support » Alpha/Beta » Last subversion revision widgets.php file includes redundant functions

Last subversion revision widgets.php file includes redundant functions

  • Upon upgrading to the latest release through subversion, I noticed that the presence of duplicate functions in wp-includes/widgets.php broke my theme templates and the admin control panel. Removal of one set of the function declarations restored my site to normal.

Viewing 2 replies - 1 through 2 (of 2 total)
  • I was going to tell the same thing.
    The error is about the utf-8 new functions for the DB. I know because i have modified (to include UTF-8 better support using this diff http://trac.wordpress.org/attachment/ticket/3517/charset.diff ) wordpress 2.1 and svn version of wordpress 2.2 and i have tried last svn version of wordpress 2.3 and i have always the same error.
    Sidebar Widgets should create a major compatible tables with UTF-8

    The error is: Plugin could not be activated because it triggered a fatal error

    If you had the standalone widget plugin installed and enabled, disable it before upgrading to 2.2. That may help, I had a similar problem.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Last subversion revision widgets.php file includes redundant functions’ is closed to new replies.